Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::SoundManager Class Reference

サウンドマネージャ More...

`#include <SoundManager.h>`

List of all members.

## Public Types
enum | Algorithm { algorithmNormal, algorithmLightHRTF, algorithmFullHRTF }
| 3Dサウンドアルゴリズム More...
## Public Member Functions
virtual void | destroy (Sound *sound)
| サウンドの破棄
virtual void | destroyAll ()
| 全サウンドの破棄
virtual int | getCount () const
| サウンド数の取得
virtual Sound * | getSound (int index)
| サウンドの取得
virtual void | set3DAlgorithm (Algorithm algorithm)
| 3Dアルゴリズムの設定
virtual Algorithm | get3DAlgorithm () const
| 3Dアルゴリズムの取得
virtual StaticSound * | createStaticSound (u_int size, int sample, int channel, int bit, Sound::Focus focus=(Sound::Focus) SoundDefinition::defaultFocus)
| 静的サウンドの作成
virtual StaticSound * | createStaticSound (const String &fileName, Sound::Focus focus=(Sound::Focus) SoundDefinition::defaultFocus)
| 静的サウンドの作成
virtual StreamSound * | createStreamSound (u_int size, int sample, int channel, int bit, Sound::Focus focus=(Sound::Focus) SoundDefinition::defaultFocus)
| ストリームサウンドの作成
virtual StreamSound * | createStreamSound (const String &fileName, Sound::Focus focus=(Sound::Focus) SoundDefinition::defaultFocus)
| ストリームサウンドの作成
virtual StaticSound3D * | createStaticSound3D (u_int size, int sample, int channel, int bit, Sound::Focus focus=(Sound::Focus) SoundDefinition::defaultFocus)
| 静的3Dサウンドの作成
virtual StaticSound3D * | createStaticSound3D (const String &fileName, Sound::Focus focus=(Sound::Focus) SoundDefinition::defaultFocus)
| 静的3Dサウンドの作成
virtual StreamSound3D * | createStreamSound3D (u_int size, int sample, int channel, int bit, Sound::Focus focus=(Sound::Focus) SoundDefinition::defaultFocus)
| ストリーム3Dサウンドの作成
virtual StreamSound3D * | createStreamSound3D (const String &fileName, Sound::Focus focus=(Sound::Focus) SoundDefinition::defaultFocus)
| ストリーム3Dサウンドの作成
## Friends
class | LampSound
class | SoundBuffer
class | StaticSound
class | StaticSound3D

## Detailed Description

サウンドマネージャ

Definition at line 41 of file SoundManager.h.

## Member Enumeration Documentation

enum Lamp::SoundManager::Algorithm

  | 3Dサウンドアルゴリズム Enumeration values:
  algorithmNormal | 通常の3Dサウンドアルゴリズム
  algorithmLightHRTF | 軽量HRTF3Dサウンドアルゴリズム
  algorithmFullHRTF | フルHRTF3Dサウンドアルゴリズム
Definition at line 49 of file SoundManager.h. Referenced by get3DAlgorithm().

## Member Function Documentation

StaticSound * Lamp::SoundManager::createStaticSound | ( | const String & | fileName,
|  | Sound::Focus | focus = (Sound::Focus) SoundDefinition::defaultFocus
| ) | `[virtual]`

  | 静的サウンドの作成 Parameters:
  fileName | ファイル名
  focus | フォーカス
Returns: 静的サウンド。失敗したらNULLを返す。 Definition at line 106 of file SoundManager.cpp. References createStaticSound(), Lamp::FilePath::getFileName(), and SafeDelete.

StaticSound * Lamp::SoundManager::createStaticSound | ( | u_int | size,
|  | int | sample,
|  | int | channel,
|  | int | bit,
|  | Sound::Focus | focus = (Sound::Focus) SoundDefinition::defaultFocus
| ) | `[virtual]`

  | 静的サウンドの作成 Parameters:
  size | バッファサイズ
  sample | サンプル数
  channel | チャンネル数
  bit | ビット数
  focus | フォーカス
Returns: 静的サウンド Definition at line 67 of file SoundManager.cpp. References DirectSoundBuffer, Lamp::SoundBuffer::initialize(), and Lamp::Deque< Sound * >::pushBack(). Referenced by createStaticSound().

StaticSound3D * Lamp::SoundManager::createStaticSound3D | ( | const String & | fileName,
|  | Sound::Focus | focus = (Sound::Focus) SoundDefinition::defaultFocus
| ) | `[virtual]`

  | 静的3Dサウンドの作成 Parameters:
  fileName | ファイル名
  focus | フォーカス
Returns: 静的3Dサウンド。失敗したらNULLを返す。 Definition at line 232 of file SoundManager.cpp. References createStaticSound3D(), Lamp::FilePath::getFileName(), and SafeDelete.

StaticSound3D * Lamp::SoundManager::createStaticSound3D | ( | u_int | size,
|  | int | sample,
|  | int | channel,
|  | int | bit,
|  | Sound::Focus | focus = (Sound::Focus) SoundDefinition::defaultFocus
| ) | `[virtual]`

  | 静的3Dサウンドの作成 Parameters:
  size | バッファサイズ
  sample | サンプル数
  channel | チャンネル数
  bit | ビット数
  focus | フォーカス
Returns: 静的3Dサウンド Definition at line 181 of file SoundManager.cpp. References algorithmFullHRTF, algorithmLightHRTF, algorithmNormal, DirectSoundBuffer, ErrorOut, Lamp::SoundBuffer::initialize(), and Lamp::Deque< Sound * >::pushBack(). Referenced by createStaticSound3D().

StreamSound * Lamp::SoundManager::createStreamSound | ( | const String & | fileName,
|  | Sound::Focus | focus = (Sound::Focus) SoundDefinition::defaultFocus
| ) | `[virtual]`

  | ストリームサウンドの作成 Parameters:
  fileName | ファイル名
  focus | フォーカス
Returns: ストリームサウンド。失敗したらNULLを返す。 Definition at line 168 of file SoundManager.cpp. References createStreamSound(), and Lamp::FilePath::getFileName().

StreamSound * Lamp::SoundManager::createStreamSound | ( | u_int | size,
|  | int | sample,
|  | int | channel,
|  | int | bit,
|  | Sound::Focus | focus = (Sound::Focus) SoundDefinition::defaultFocus
| ) | `[virtual]`

  | ストリームサウンドの作成 Parameters:
  size | バッファサイズ
  sample | サンプル数
  channel | チャンネル数
  bit | ビット数
  focus | フォーカス
Returns: ストリームサウンド Definition at line 129 of file SoundManager.cpp. References DirectSoundBuffer, Lamp::SoundBuffer::initialize(), and Lamp::Deque< Sound * >::pushBack(). Referenced by createStreamSound().

StreamSound3D * Lamp::SoundManager::createStreamSound3D | ( | const String & | fileName,
|  | Sound::Focus | focus = (Sound::Focus) SoundDefinition::defaultFocus
| ) | `[virtual]`

  | ストリーム3Dサウンドの作成 Parameters:
  fileName | ファイル名
  focus | フォーカス
Returns: ストリーム3Dサウンド。失敗したらNULLを返す。 Definition at line 302 of file SoundManager.cpp. References createStreamSound3D(), and Lamp::FilePath::getFileName().

StreamSound3D * Lamp::SoundManager::createStreamSound3D | ( | u_int | size,
|  | int | sample,
|  | int | channel,
|  | int | bit,
|  | Sound::Focus | focus = (Sound::Focus) SoundDefinition::defaultFocus
| ) | `[virtual]`

  | ストリーム3Dサウンドの作成 Parameters:
  size | バッファサイズ
  sample | サンプル数
  channel | チャンネル数
  bit | ビット数
  focus | フォーカス
Returns: ストリーム3Dサウンド Definition at line 255 of file SoundManager.cpp. References algorithmFullHRTF, algorithmLightHRTF, algorithmNormal, DirectSoundBuffer, Lamp::SoundBuffer::initialize(), and Lamp::Deque< Sound * >::pushBack(). Referenced by createStreamSound3D().

void Lamp::SoundManager::destroy | ( | Sound * | sound | ) | `[virtual]`

  | サウンドの破棄 Parameters:
  sound | 破棄するサウンド
Definition at line 52 of file SoundManager.cpp. References Lamp::Deque< Sound * >::removeByValue(). Referenced by Lamp::SoundCache::SoundArray::~SoundArray().

virtual Algorithm Lamp::SoundManager::get3DAlgorithm | ( |  | ) | const`[inline, virtual]`

| 3Dアルゴリズムの取得 Returns: 3Dアルゴリズム Definition at line 98 of file SoundManager.h. References Algorithm.

virtual int Lamp::SoundManager::getCount | ( |  | ) | const`[inline, virtual]`

| サウンド数の取得 Returns: サウンド数 Definition at line 76 of file SoundManager.h. References Lamp::Deque< Sound * >::getCount(). Referenced by destroyAll().

virtual Sound* Lamp::SoundManager::getSound | ( | int | index | ) | `[inline, virtual]`

  | サウンドの取得 Parameters:
  index | サウンドのインデックス
Returns: サウンド Definition at line 83 of file SoundManager.h. Referenced by destroyAll().

virtual void Lamp::SoundManager::set3DAlgorithm | ( | Algorithm | algorithm | ) | `[inline, virtual]`

  | 3Dアルゴリズムの設定 設定後に生成した3Dサウンドに対してアルゴリズムが適用されます。 Parameters:
  algorithm | 3Dアルゴリズム
Definition at line 92 of file SoundManager.h.

The documentation for this class was generated from the following files:

- SoundManager.h
- SoundManager.cpp